unit ICDebug;

(*	This file is part of the Internet Configuration system and is placed in the public domain for the benefit of all.

	Useful debugging macros and such.
*)

interface

	uses
		Types;			// Make sure to pick up DebugStr!
		
{$ifc undefined icDebug}
	{$setc icDebug:=false}
{$endc}

{$ifc icDebug}
	{$definec ICAssert(mustBeTrue) begin if not (mustBeTrue) then DebugStr('ICAssert: Assertion failed! ; sc') end}
	{$definec ICDebugStr(message) begin DebugStr('ICDebug: ' + message + '; sc') ; end}
{$elsec}
	{$definec ICAssert(mustBeTrue) }
	{$definec ICDebugStr(message) }
{$endc}
	
implementation

	procedure ICDebugTest;
		var
			a, b : integer;
	begin
		a := 1;
		b := 1;
		ICAssert(a = b);
		ICDebugStr('abcd');
	end; (* Test *)

end. (* ICDebug *)